## ros-indigo-jsk-pcl-ros-utils 1.2.7

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(jsk_pcl_ros_utils)

# Use ccache if installed to make it fast to generate object files
find_program(CCACHE_FOUND ccache)
if(CCACHE_FOUND)
  set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
  set_property(GLOBAL PROPERTY RULE_LAUNCH_LINK ccache)
endif()

if($ENV{ROS_DISTRO} STREQUAL "groovy")
  # update package.xml, in groovy we need to add pcl to package.xml
  execute_process(COMMAND sed -i s@<run_depend>pcl_ros</run_depend>@<run_depend>pcl_ros</run_depend><run_depend>pcl</run_depend>@g ${PROJECT_SOURCE_DIR}/package.xml)
  execute_process(COMMAND sed -i s@<build_depend>pcl_ros</build_depend>@<build_depend>pcl_ros</build_depend><build_depend>pcl</build_depend>@g ${PROJECT_SOURCE_DIR}/package.xml)
endif($ENV{ROS_DISTRO} STREQUAL "groovy")


# Load catkin and all dependencies required for this package
# TODO: remove all from COMPONENTS that are not catkin packages.
if($ENV{ROS_DISTRO} STREQUAL "groovy")
  set(PCL_MSGS pcl)
else()
  set(PCL_MSGS pcl_msgs) ## hydro and later
endif()

if($ENV{ROS_DISTRO} STREQUAL "groovy")
  set(ML_CLASSIFIERS )
else()
  set(ML_CLASSIFIERS ml_classifiers) ## hydro and later
endif()

find_package(catkin REQUIRED COMPONENTS
  jsk_recognition_utils
  dynamic_reconfigure pcl_ros nodelet message_generation genmsg
  ${PCL_MSGS} sensor_msgs geometry_msgs jsk_recognition_msgs
  eigen_conversions tf_conversions tf2_ros tf
  image_transport nodelet cv_bridge
  jsk_topic_tools
  image_geometry
  jsk_footstep_msgs
  interactive_markers
  laser_assembler
  octomap_server
  octomap_ros
  octomap_msgs
  kdl_parser
  kdl_conversions
  )
find_package(PkgConfig)
pkg_check_modules(${ML_CLASSIFIERS} ml_classifiers QUIET)
# only run in hydro
if(NOT $ENV{ROS_DISTRO} STREQUAL "groovy")
  find_package(PCL REQUIRED)
endif(NOT $ENV{ROS_DISTRO} STREQUAL "groovy")
find_package(OpenMP)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${OpenMP_EXE_LINKER_FLAGS}")

# For kinfu
find_package(PCL QUIET COMPONENTS gpu_kinfu_large_scale)

pkg_check_modules(yaml_cpp yaml-cpp REQUIRED)
IF(${yaml_cpp_VERSION} VERSION_LESS "0.5.0")
## indigo yaml-cpp : 0.5.0 /  hydro yaml-cpp : 0.3.0
  add_definitions("-DUSE_OLD_YAML")
ENDIF()

# ------------------------------------------------------------------------------------
# Download
# ------------------------------------------------------------------------------------

# download and install sample data
add_custom_target(${PROJECT_NAME}_install_sample_data ALL COMMAND ${PROJECT_SOURCE_DIR}/scripts/install_sample_data.py --pkg-path ${PROJECT_SOURCE_DIR})

# generate the dynamic_reconfigure config file
generate_dynamic_reconfigure_options(
  cfg/BoundingBoxArrayToBoundingBox.cfg
  cfg/CloudOnPlane.cfg
  cfg/ClusterPointIndicesToPointIndices.cfg
  cfg/ColorizeDistanceFromPlane.cfg
  cfg/DelayPointCloud.cfg
  cfg/MaskImageToDepthConsideredMaskImage.cfg
  cfg/PlanarPointCloudSimulator.cfg
  cfg/PlaneConcatenator.cfg
  cfg/PlaneReasoner.cfg
  cfg/PlaneRejector.cfg
  cfg/PointCloudToMaskImage.cfg
  cfg/PointCloudToPCD.cfg
  cfg/PolygonArrayAreaLikelihood.cfg
  cfg/PolygonArrayLikelihoodFilter.cfg
  cfg/PolygonArrayUnwrapper.cfg
  cfg/PolygonMagnifier.cfg
  cfg/PolygonPointsSampler.cfg
  cfg/PoseWithCovarianceStampedToGaussianPointCloud.cfg
  cfg/SphericalPointCloudSimulator.cfg
)

find_package(OpenCV REQUIRED core imgproc)

include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS} ${OpenCV_INCLUDE_DIRS} ${PCL_INCLUDE_DIRS})
link_directories(${catkin_LIBRARY_DIRS} ${Boost_LIBRARY_DIRS})
if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
  set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -z defs")
endif()

macro(jsk_pcl_util_nodelet _nodelet_cpp _nodelet_class _single_nodelet_exec_name)
  jsk_nodelet(${_nodelet_cpp} ${_nodelet_class} ${_single_nodelet_exec_name}
    jsk_pcl_util_nodelet_sources jsk_pcl_util_nodelet_executables)
endmacro(jsk_pcl_util_nodelet _nodelet_cpp _nodelet_class _single_nodelet_exec_name)

if ($ENV{TRAVIS_JOB_ID})
  add_definitions("-O0")
else ($ENV{TRAVIS_JOB_ID})
  add_definitions("-O2 -g")
endif ($ENV{TRAVIS_JOB_ID})

jsk_pcl_util_nodelet(src/bounding_box_array_to_bounding_box_nodelet.cpp "jsk_pcl_utils/BoundingBoxArrayToBoundingBox"
  "bounding_box_array_to_bounding_box")
jsk_pcl_util_nodelet(src/normal_flip_to_frame_nodelet.cpp "jsk_pcl_utils/NormalFlipToFrame"
  "normal_flip_to_frame")
jsk_pcl_util_nodelet(src/centroid_publisher_nodelet.cpp "jsk_pcl_utils/CentroidPublisher" "centroid_publisher")
jsk_pcl_util_nodelet(src/cloud_on_plane_nodelet.cpp "jsk_pcl/CloudOnPlane"
  "cloud_on_plane")
jsk_pcl_util_nodelet(src/tf_transform_cloud_nodelet.cpp
  "jsk_pcl_utils/TfTransformCloud" "tf_transform_cloud")
jsk_pcl_util_nodelet(src/tf_transform_bounding_box_nodelet.cpp
  "jsk_pcl_utils/TfTransformBoundingBox" "tf_transform_bounding_box")
jsk_pcl_util_nodelet(src/tf_transform_bounding_box_array_nodelet.cpp
  "jsk_pcl_utils/TfTransformBoundingBoxArray" "tf_transform_bounding_box_array")
jsk_pcl_util_nodelet(src/normal_concatenater_nodelet.cpp
  "jsk_pcl_utils/NormalConcatenater" "normal_concatenater")
jsk_pcl_util_nodelet(src/polygon_array_distance_likelihood_nodelet.cpp
  "jsk_pcl_utils/PolygonArrayDistanceLikelihood" "polygon_array_distance_likelihood")
jsk_pcl_util_nodelet(src/polygon_array_area_likelihood_nodelet.cpp
  "jsk_pcl_utils/PolygonArrayAreaLikelihood" "polygon_array_area_likelihood")
jsk_pcl_util_nodelet(src/polygon_array_angle_likelihood_nodelet.cpp
  "jsk_pcl_utils/PolygonArrayAngleLikelihood" "polygon_array_angle_likelihood")
jsk_pcl_util_nodelet(src/polygon_array_foot_angle_likelihood_nodelet.cpp
  "jsk_pcl_utils/PolygonArrayFootAngleLikelihood" "polygon_array_foot_angle_likelihood")
jsk_pcl_util_nodelet(src/polygon_array_likelihood_filter_nodelet.cpp
  "jsk_pcl_utils/PolygonArrayLikelihoodFilter" "polygon_array_likelihood_filter")
jsk_pcl_util_nodelet(src/pose_with_covariance_stamped_to_gaussian_pointcloud_nodelet.cpp
  "jsk_pcl_utils/PoseWithCovarianceStampedToGaussianPointCloud" "pose_with_covariance_stamped_to_gaussian_pointcloud")
jsk_pcl_util_nodelet(src/spherical_pointcloud_simulator_nodelet.cpp
  "jsk_pcl_utils/SphericalPointCloudSimulator" "spherical_pointcloud_simulator")
jsk_pcl_util_nodelet(src/polygon_flipper_nodelet.cpp
  "jsk_pcl_utils/PolygonFlipper" "polygon_flipper")
jsk_pcl_util_nodelet(src/polygon_points_sampler_nodelet.cpp
  "jsk_pcl_utils/PolygonPointsSampler" "polygon_points_sampler")
jsk_pcl_util_nodelet(src/polygon_magnifier_nodelet.cpp
  "jsk_pcl_utils/PolygonMagnifier" "polygon_magnifier")
jsk_pcl_util_nodelet(src/planar_pointcloud_simulator_nodelet.cpp
  "jsk_pcl_utils/PlanarPointCloudSimulator" "planar_pointcloud_simulator")
jsk_pcl_util_nodelet(src/plane_rejector_nodelet.cpp
  "jsk_pcl_utils/PlaneRejector" "plane_rejector")
if("$ENV{ROS_DISTRO}" STRGREATER "hydro")
  jsk_pcl_util_nodelet(src/cluster_point_indices_to_point_indices_nodelet.cpp
    "jsk_pcl_utils/ClusterPointIndicesToPointIndices" "cluster_point_indices_to_point_indices")
endif()
jsk_pcl_util_nodelet(src/pointcloud_xyz_to_xyzrgb_nodelet.cpp
  "jsk_pcl_utils/PointCloudXYZToXYZRGB" "pointcloud_xyz_to_xyzrgb")
jsk_pcl_util_nodelet(src/pointcloud_xyzrgb_to_xyz_nodelet.cpp
  "jsk_pcl_utils/PointCloudXYZRGBToXYZ" "pointcloud_xyzrgb_to_xyz")
jsk_pcl_util_nodelet(src/pointcloud_to_cluster_point_indices_nodelet.cpp
  "jsk_pcl_utils/PointCloudToClusterPointIndices" "pointcloud_to_cluster_point_indices")
jsk_pcl_util_nodelet(src/pointcloud_to_mask_image_nodelet.cpp
  "jsk_pcl_utils/PointCloudToMaskImage" "pointcloud_to_mask_image")
jsk_pcl_util_nodelet(src/static_polygon_array_publisher_nodelet.cpp
  "jsk_pcl_utils/StaticPolygonArrayPublisher" "static_polygon_array_publisher")
jsk_pcl_util_nodelet(src/polygon_array_transformer_nodelet.cpp
  "jsk_pcl_utils/PolygonArrayTransformer" "polygon_array_transformer")
jsk_pcl_util_nodelet(src/pointcloud_to_stl_nodelet.cpp
  "jsk_pcl_utils/PointCloudToSTL" "pointcloud_to_stl")
jsk_pcl_util_nodelet(src/pointcloud_to_point_indices_nodelet.cpp
  "jsk_pcl_utils/PointCloudToPointIndices" "pointcloud_to_point_indices")
jsk_pcl_util_nodelet(src/polygon_appender_nodelet.cpp
  "jsk_pcl_utils/PolygonAppender" "polygon_appender")
jsk_pcl_util_nodelet(src/delay_pointcloud_nodelet.cpp
  "jsk_pcl_utils/DelayPointCloud" "delay_pointcloud")
jsk_pcl_util_nodelet(src/depth_image_error_nodelet.cpp
  "jsk_pcl_utils/DepthImageError" "depth_image_error")
jsk_pcl_util_nodelet(src/polygon_array_wrapper_nodelet.cpp
  "jsk_pcl_utils/PolygonArrayWrapper" "polygon_array_wrapper")
jsk_pcl_util_nodelet(src/polygon_array_unwrapper_nodelet.cpp
  "jsk_pcl_utils/PolygonArrayUnwrapper" "polygon_array_unwrapper")
jsk_pcl_util_nodelet(src/colorize_distance_from_plane_nodelet.cpp
  "jsk_pcl_utils/ColorizeDistanceFromPlane" "colorize_distance_from_plane")
jsk_pcl_util_nodelet(src/colorize_height_2d_mapping_nodelet.cpp
  "jsk_pcl_utils/ColorizeHeight2DMapping" "colorize_height_2d_mapping")
jsk_pcl_util_nodelet(src/plane_reasoner_nodelet.cpp
  "jsk_pcl_utils/PlaneReasoner" "plane_reasoner")
jsk_pcl_util_nodelet(src/transform_pointcloud_in_bounding_box_nodelet.cpp
  "jsk_pcl_utils/TransformPointcloudInBoundingBox" "transform_pointcloud_in_bounding_box")
jsk_pcl_util_nodelet(src/point_indices_to_cluster_point_indices_nodelet.cpp
  "jsk_pcl_utils/PointIndicesToClusterPointIndices" "point_indices_to_cluster_point_indices")
jsk_pcl_util_nodelet(src/point_indices_to_mask_image_nodelet.cpp
  "jsk_pcl_utils/PointIndicesToMaskImage" "point_indices_to_mask_image")
jsk_pcl_util_nodelet(src/mask_image_to_depth_considered_mask_image_nodelet.cpp
  "jsk_pcl_utils/MaskImageToDepthConsideredMaskImage" "mask_image_to_depth_considered_mask_image")
jsk_pcl_util_nodelet(src/mask_image_to_point_indices_nodelet.cpp
  "jsk_pcl_utils/MaskImageToPointIndices" "mask_image_to_point_indices")
jsk_pcl_util_nodelet(src/label_to_cluster_point_indices_nodelet.cpp
  "jsk_pcl_utils/LabelToClusterPointIndices" "label_to_cluster_point_indices")
jsk_pcl_util_nodelet(src/plane_concatenator_nodelet.cpp
  "jsk_pcl_utils/PlaneConcatenator" "plane_concatenator")
jsk_pcl_util_nodelet(src/add_point_indices_nodelet.cpp
  "jsk_pcl_utils/AddPointIndices" "add_point_indices")
jsk_pcl_util_nodelet(src/subtract_point_indices_nodelet.cpp
  "jsk_pcl_utils/SubtractPointIndices" "subtract_point_indices")
jsk_pcl_util_nodelet(src/pcd_reader_with_pose_nodelet.cpp
  "jsk_pcl_utils/PCDReaderWithPose" "pcd_reader_with_pose")
jsk_pcl_util_nodelet(src/pointcloud_relative_from_pose_stamped_nodelet.cpp
  "jsk_pcl_utils/PointCloudRelativeFromPoseStamped" "pointcloud_relative_from_pose_stamped")
jsk_pcl_util_nodelet(src/pointcloud_to_pcd_nodelet.cpp
  "jsk_pcl_utils/PointCloudToPCD" "pointcloud_to_pcd")
jsk_pcl_util_nodelet(src/marker_array_voxel_to_pointcloud_nodelet.cpp
  "jsk_pcl_utils/MarkerArrayVoxelToPointCloud" "marker_array_voxel_to_pointcloud")
add_library(jsk_pcl_ros_utils SHARED ${jsk_pcl_util_nodelet_sources})
add_dependencies(jsk_pcl_ros_utils ${PROJECT_NAME}_gencfg)
target_link_libraries(jsk_pcl_ros_utils
  ${catkin_LIBRARIES} ${pcl_ros_LIBRARIES} ${OpenCV_LIBRARIES} yaml-cpp)

get_property(dirs DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} PROPERTY INCLUDE_DIRECTORIES)

catkin_package(
    DEPENDS PCL
    CATKIN_DEPENDS pcl_ros message_runtime ${PCL_MSGS} sensor_msgs geometry_msgs jsk_recognition_msgs jsk_recognition_utils
    INCLUDE_DIRS include
    LIBRARIES jsk_pcl_ros_utils
)

# From https://github.com/jsk-ros-pkg/jsk_recognition/pull/2345
# Install header files directly into ${CATKIN_PACKAGE_INCLUDE_DESTINATION}.
# If the package has setup.py and modules under src/${PROJECT_NAME}/,
# install python executables directly into ${CATKIN_PACKAGE_BIN_DESTINATION}.

=== debian/changelog ===
ros-indigo-jsk-pcl-ros-utils (1.2.7-0trusty) trusty; urgency=high

  * [jsk_pcl_ros, jsk_pcl_ros_utils] Use ccache if installed to make it fast to generate object file (#2342 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2342> )
  * Contributors: Iori Yanokura

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 14 Feb 2019 00:00:00 -0000

ros-indigo-jsk-pcl-ros-utils (1.2.6-0trusty) trusty; urgency=high

  * [jsk_pcl_ros_utils/cluster_point_indices_to_point_indices] Concatenate all indices in case of index==-1 (#2330 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2330>)
  * [jsk_pcl_ros_utils/package.xml] Add dependencies for compressed_image/depth_image_transport to run sample launch files (#2341 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2341>)
  * Install 'sample', 'scripts', 'test' into SHARE_DESTINATION (#2345 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2345>)
  * [jsk_perception] Retrain bof data for sklearn==0.2.0 version and modified jsk_pcl_ros/utils's test for kinetic travis (#2337 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2337>)
    * [jsk_pcl_ros_utils] Ignore test for pointcloud_to_pcd.test
  * Add --pkg-path option to install_sample_data.py not to use rospack (#2314 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2314>)
    * Close https://github.com/jsk-ros-pkg/jsk_recognition/pull/2303
  * fix for jsk-ros-pkg/jsk_common/pull/1586 (#2311 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2311>)
    * to avoid add_custom_target cannot create target install_sample_data because another target with the same name already exists errors
  * Use diagnostic nodelet for EuclideanClustering and other nodelets (#2301 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2301>)
    * jsk_pcl_ros: euclidean_clustering: use dianogistc nodeletUse DiagnosticNodelet::updateDiagnostic preferrably
  * Fix warnings for jsk_pcl_ros_utils (#2265 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2265>)
    * Fix warnings for jsk_pcl_ros_utils<string>:30: (INFO/1) Unexpected possible title overline or transition.
    Treating it as ordinary text because it's so short.
    
    ```
    
    <string>:30: (WARNING/2) Inline literal start-string without end-string.
    
    <string>:30: (WARNING/2) Inline interpreted text or phrase reference start-string without end-string.CMake Warning at /opt/ros/kinetic/share/catkin/cmake/catkin_package.cmake:166 (message):
    catkin_package() DEPENDS on 'pcl' but neither 'pcl_INCLUDE_DIRS' nor
    'pcl_LIBRARIES' is defined.
    Call Stack (most recent call first):
    /opt/ros/kinetic/share/catkin/cmake/catkin_package.cmake:102 (_catkin_package)
    CMakeLists.txt:220 (catkin_package)
    CMake Warning (dev) at CMakeLists.txt:214 (add_dependencies):
    Policy CMP0046 is not set: Error on non-existent dependency in
    add_dependencies.  Run "cmake --help-policy CMP0046" for policy details.
    Use the cmake_policy command to set the policy and suppress this warning.
    The dependency target "jsk_pcl_ros_utils_gencpp" of target
    "jsk_pcl_ros_utils" does not exist.
    This warning is for project developers.  Use -Wno-dev to suppress it.<string>:44: (INFO/1) Unexpected possible title overline or transition.
    Treating it as ordinary text because it's so short.
    
    ```
    
    <string>:44: (WARNING/2) Inline literal start-string without end-string.
    
    <string>:44: (WARNING/2) Inline interpreted text or phrase reference start-string without end-string.
  * Contributors: Yuki Furuta, Kei Okada, Kentaro Wada, Yuto Uchimi, Iori Yanokura

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 02 Nov 2018 00:00:00 -0000

ros-indigo-jsk-pcl-ros-utils (1.2.5-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 09 Apr 2018 00:00:00 -0000

ros-indigo-jsk-pcl-ros-utils (1.2.4-0trusty) trusty; urgency=high

  * jsk_pcl_ros_utils: pointcloud_to_mask_image:  add depth image for input (#2229)
    
    jsk_pcl_ros_utils: add depth image for input to pointcloud_to_mask_image
    jsk_pcl_ros_utils: update doc for pointcloud_to_mask_image
  * Contributors: Yuki Furuta

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 12 Jan 2018 00:00:00 -0000

ros-indigo-jsk-pcl-ros-utils (1.2.3-0trusty) trusty; urgency=high

  * [jsk_pcl_ros_utils] polygon_flipper: add option '~use_indices' (#2189 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2189>)
  * Contributors: Yuki Furuta

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 23 Nov 2017 00:00:00 -0000

ros-indigo-jsk-pcl-ros-utils (1.2.2-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 23 Jul 2017 00:00:00 -0000

ros-indigo-jsk-pcl-ros-utils (1.2.1-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 15 Jul 2017 00:00:00 -0000

ros-indigo-jsk-pcl-ros-utils (1.2.0-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 15 Jul 2017 00:00:00 -0000

ros-indigo-jsk-pcl-ros-utils (1.1.3-0trusty) trusty; urgency=high

  * Filter invalid centroid in centroid_publisher (#2150 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2150>)
    * Looser timeout for centroid_publisher.test
    * Add sample and test for CentroidPublisher
    * Filter invalid centroid in centroid_publisher
  * Capability of specifying background label for LabelToClusterPointIndices (#2134 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2134>)
    * fix bug in label_to_cluster_point_indices_nodelet
    * Capability of specifying background label for LabelToClusterPointIndices
  * add ignore_labels in label_to_cluster_point_indices (#2151 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2151>)
    * Fix style of code of LabelToClusterPointIndices
  * [jsk_pcl_ros_utils/src] add onInitPostProcess forStaticPolygonArrayPublisher, PolygonArrayTransformer (#2126 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2126>)


=== debian/control ===
Source: ros-indigo-jsk-pcl-ros-utils
Section: misc
Priority: extra
Maintainer: Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libyaml-cpp-dev, ros-indigo-catkin, ros-indigo-cv-bridge, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-dynamic-reconfigure, ros-indigo-eigen-conversions, ros-indigo-geometry-msgs, ros-indigo-image-geometry, ros-indigo-image-transport, ros-indigo-image-view2, ros-indigo-interactive-markers, ros-indigo-jsk-data, ros-indigo-jsk-footstep-msgs, ros-indigo-jsk-recognition-msgs, ros-indigo-jsk-recognition-utils, ros-indigo-jsk-tools, ros-indigo-jsk-topic-tools, ros-indigo-kdl-conversions, ros-indigo-kdl-parser, ros-indigo-laser-assembler, ros-indigo-message-generation, ros-indigo-ml-classifiers, ros-indigo-moveit-core, ros-indigo-moveit-ros-perception, ros-indigo-nav-msgs, ros-indigo-nodelet, ros-indigo-octomap, ros-indigo-octomap-msgs, ros-indigo-octomap-ros, ros-indigo-octomap-server, ros-indigo-pcl-conversions, ros-indigo-pcl-msgs, ros-indigo-pcl-ros, ros-indigo-robot-self-filter, ros-indigo-rosboost-cfg, ros-indigo-roscpp-tutorials, ros-indigo-roslaunch, ros-indigo-rostest, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-stereo-msgs, ros-indigo-tf, ros-indigo-tf-conversions, ros-indigo-tf2-ros, ros-indigo-visualization-msgs
Homepage: http://jsk-docs.readthedocs.io/en/latest/jsk_recognition/doc/jsk_pcl_ros_utils
Standards-Version: 3.9.2

Package: ros-indigo-jsk-pcl-ros-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libyaml-cpp-dev, python-sklearn, ros-indigo-compressed-depth-image-transport, ros-indigo-compressed-image-transport, ros-indigo-cv-bridge, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-dynamic-reconfigure, ros-indigo-eigen-conversions, ros-indigo-geometry-msgs, ros-indigo-image-geometry, ros-indigo-image-transport, ros-indigo-image-view, ros-indigo-image-view2, ros-indigo-interactive-markers, ros-indigo-jsk-data, ros-indigo-jsk-footstep-msgs, ros-indigo-jsk-recognition-msgs, ros-indigo-jsk-recognition-utils, ros-indigo-jsk-topic-tools, ros-indigo-kdl-conversions, ros-indigo-kdl-parser, ros-indigo-laser-assembler, ros-indigo-message-runtime, ros-indigo-ml-classifiers, ros-indigo-moveit-core, ros-indigo-moveit-ros-perception, ros-indigo-nav-msgs, ros-indigo-nodelet, ros-indigo-octomap, ros-indigo-octomap-msgs, ros-indigo-octomap-ros, ros-indigo-octomap-server, ros-indigo-openni2-launch, ros-indigo-pcl-conversions, ros-indigo-pcl-msgs, ros-indigo-pcl-ros, ros-indigo-robot-self-filter, ros-indigo-rosbag, ros-indigo-rosboost-cfg, ros-indigo-roscpp-tutorials, ros-indigo-rviz, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-stereo-msgs, ros-indigo-tf, ros-indigo-tf-conversions, ros-indigo-tf2-ros, ros-indigo-visualization-msgs
Description: ROS utility nodelets for pointcloud perception.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-jsk-pcl-ros-utils//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
